import type { _NSScrubberLayout } from "./NSScrubberLayout.js";
import type { _NSCoder } from "../Foundation/NSCoder.js";
export declare class _NSScrubberProportionalLayout extends _NSScrubberLayout {
    static alloc(): _NSScrubberProportionalLayout;
    static new(): _NSScrubberProportionalLayout;
    init(): _NSScrubberProportionalLayout;
    initWithNumberOfVisibleItems$(numberOfVisibleItems: number): _NSScrubberProportionalLayout;
    initWithCoder$(coder: _NSCoder): _NSScrubberProportionalLayout;
    /** The number of items that should fit within the scrubber's viewport at once. */
    numberOfVisibleItems(): number;
    setNumberOfVisibleItems$(value: number): void;
}
